Package io.dapr.client

# Class DaprHttpBuilder

java.lang.Object
io.dapr.client.DaprHttpBuilder

public class DaprHttpBuilder extends Object
A builder for the DaprHttp.

## Constructor Summary

Constructors
Constructor
Description
`DaprHttpBuilder()`

## Method Summary

Modifier and Type
Method
Description
`DaprHttp`
`build(Properties properties)`
Build an instance of the Http client based on the provided setup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DaprHttpBuilder

public DaprHttpBuilder()

## Method Details

### build

public DaprHttp build(Properties properties)
Build an instance of the Http client based on the provided setup.

Parameters:
  `properties` - to configure the DaprHttp client
Returns:
  an instance of `DaprHttp`
Throws:
  `IllegalStateException` - if any required field is missing